<?php
/**
 * Theme select themes for tipe post/custom post
 *
 * Padrão Governo Federal - Basil functions and definitions
  * Author:Cristiano Augusto Cunha Silva <sem@cristianoaugusto.com.br>
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package WordPress
 * @subpackage CCST-GOV
 * @since 1.1
 *
 *  Este thema foi desenvolvido para o Centro de Ciências do Sistema Terreste / INPE - BRASIL
 *
 */

get_header();

// Get custom posts
$post_type = get_post_type();

switch ($post_type) {
    case 'publicacao':
        get_template_part('template-parts/publicacao/publicacao', 'list');
        break;
    case 'educacional':
        get_template_part('template-parts/educacional/educacional', 'list');
        break;
    case 'projetos':
        get_template_part('template-parts/projetos/projetos', 'list');
        break;
    case 'modelagem':
    case 'diagnosticos':
    case 'observacao':
        get_template_part('template-parts/linhas-pesquisas/linhas', $post_type);
        break;
    case 'servico':
        get_template_part('template-parts/servico/content');
        break;
    case 'post':
        echo '<div id="content" class="internas span9">
                <section id="content-section">
                        <h1 class="borderHeading">Últimas notícias</h1>
                        <div class="tile-list-1">';
        if (have_posts()) :
            // Start the Loop.
            while (have_posts()) : the_post();
                get_template_part('template-parts/post/post', 'list');
            endwhile;
        else :
            get_template_part('content', 'none');
        endif;
        echo '</div>
                </section>
        </div>';
        break;
}

echo '<div id="paginacao">
        <div id="content" class="span9">';
if (function_exists('wp_bootstrap_pagination'))
    wp_bootstrap_pagination();
echo '</div>
</div>';

get_footer();
